import sys

app_name = 'edit'

if sys.platform == "darwin":
    """
    This is a setup.py script generated by py2applet

    Usage:
        python setup.py py2app
    """

    from setuptools import setup

    if len(sys.argv) == 1:
        sys.argv.append("py2app")

    APP = [app_name+".py"]
    DATA_FILES = []
    OPTIONS = {'argv_emulation': True,
                'no_chdir': True }

    setup(
        app=APP,
        data_files=DATA_FILES,
        options={'py2app': OPTIONS},
        setup_requires=['py2app'],
    )

elif sys.platform == "win32":
    from distutils.core import setup
    import py2exe

    # If run without args, build executables, in quiet mode.
    if len(sys.argv) == 1:
        sys.argv.append("py2exe")
        sys.argv.append("-q")

    class Target:
        def __init__(self, **kw):
            self.__dict__.update(kw)
            # for the versioninfo resources
            self.version = "1.0.0"
            self.company_name = "Timothy Swast"
            self.copyright = "2009"
            self.name = "Website Editor"

    ################################################################
    # A program using wxPython

    # The manifest will be inserted as resource into test_wx.exe.  This
    # gives the controls the Windows XP appearance (if run on XP ;-)
    #
    # Another option would be to store it in a file named
    # test_wx.exe.manifest, and copy it with the data_files option into
    # the dist-dir.
    #
    manifest_template = '''
    <?xml version="1.0" encoding="UTF-8" standalone="yes"?>
    <assembly xmlns="urn:schemas-microsoft-com:asm.v1" manifestVersion="1.0">
    <assemblyIdentity
        version="5.0.0.0"
        processorArchitecture="x86"
        name="%(prog)s"
        type="win32"
    />
    <description>%(prog)s Program</description>
    <dependency>
        <dependentAssembly>
            <assemblyIdentity
                type="win32"
                name="Microsoft.Windows.Common-Controls"
                version="6.0.0.0"
                processorArchitecture="X86"
                publicKeyToken="6595b64144ccf1df"
                language="*"
            />
        </dependentAssembly>
    </dependency>
    </assembly>
    '''

    RT_MANIFEST = 24

    test_wx = Target(
        # used for the versioninfo resource
        description = "A tool to edit websites.",

        # what to build
        script = app_name+".py",
        other_resources = [(RT_MANIFEST, 1, manifest_template % dict(prog=app_name))],
    ##    icon_resources = [(1, "icon.ico")],
        dest_base = app_name)

    ################################################################

    setup(
        options = {"py2exe": {"compressed": 1,
                              "optimize": 2,
                              "ascii": 1,
                              "bundle_files": 1,
                              "excludes": ['_gtkagg', '_tkagg'],
                              "dll_excludes": ['libgdk_pixbuf-2.0-0.dll',
                                               'libgobject-2.0-0.dll',
                                               'libgdk-win32-2.0-0.dll'],
                              "includes": ["encodings", "encodings.*"],
                              "packages": ["encodings"]
                            }},
        zipfile = None,
        windows = [test_wx],
        )

