
import time
import datetime
import os
import os.path
import shutil
import ftplib

class LoginError(Exception):
    pass

class UnknownError(Exception):
    pass

def backup():
    """backs up the website to the backup folder"""
    backupdir = os.path.join("backup", str(datetime.datetime.now()))
    shutil.copytree("pages", os.path.join(backupdir, "pages"))
    shutil.copy("template.html", backupdir)
    shutil.copy("pages.txt", backupdir)


def upload(username, password, path, files):
    """uploads the website to the Internet"""
    try:
        ftp = None
        ftp = ftplib.FTP(path, username, password)

        # upload all files in output
        for path in files:
            localpath = os.path.join("output", path)
            serverpath = os.path.join("public", path)

            f = open(localpath)
            ftp.storbinary("STOR " + serverpath, f)
            f.close()

    except ftplib.error_perm:
        raise LoginError()

    except ftplib.all_errors:
        raise UnknownError()

    finally:
        if ftp is not None:
            ftp.close()

